jv.objectGui

## Class PsToolbar

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Panel
      - - jv.object.PsPanel
        - - jv.objectGui.PsToolbar

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, PsUpdateIf

      public final class PsToolbar
      extends PsPanel

  An icon image which allows to select among different text strings like an AWT list. Here just an icon is shown, and the list is shown in a popup window when a user clicks on the icon.

  Usage:

                 toolItem = new PsToolbar(PsToolbar.TOOLBAR_OPENDIR); // Determines the icon image.
                 toolItem.addActionListener(this);    // Register the current container as listener.
                 toolItem.addChoice("first string");  // Add a number of strings.
                 toolItem.addChoice("second string");
                 this.add(toolItem)

  In the actionPerformed() method of this container catch events:

                 if (event.getSource() == toolItem)
             String actionCmd = event.getActionCommand();

  See Also:
    Serialized Form
  Author:
    Konrad Polthier
  Version:
    18.11.06, 1.00 created (kp)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.BaselineResizeBehavior`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `MAX_NUM_ITEMS`
    `static int` | `TOOLBAR_ANIM_ADDKEY`
    `static int` | `TOOLBAR_ANIM_END`
    `static int` | `TOOLBAR_ANIM_FASTPLAY`
    `static int` | `TOOLBAR_ANIM_FASTREWIND`
    `static int` | `TOOLBAR_ANIM_NEXTKEY`
    `static int` | `TOOLBAR_ANIM_PLAY`
    `static int` | `TOOLBAR_ANIM_PREVKEY`
    `static int` | `TOOLBAR_ANIM_REMOVEKEY`
    `static int` | `TOOLBAR_ANIM_REWIND`
    `static int` | `TOOLBAR_ANIM_START`
    `static int` | `TOOLBAR_ANIM_STOP`
    `static int` | `TOOLBAR_BURN_TEXTURE`
    `static int` | `TOOLBAR_CAMERA_DISTANCE`
    `static int` | `TOOLBAR_CAMERA_PERSPECTIVE`
    `static int` | `TOOLBAR_CAMERA_ROLL`
    `static int` | `TOOLBAR_CAMERA1`
    `static int` | `TOOLBAR_CAMERA2`
    `static int` | `TOOLBAR_CONFIGURE`
    `static int` | `TOOLBAR_DELETE`
    `static int` | `TOOLBAR_DUPLICATE`
    `static int` | `TOOLBAR_ERROR`
    `static int` | `TOOLBAR_EXTRACT`
    `static int` | `TOOLBAR_HELP`
    `static int` | `TOOLBAR_ITEM1`
    `static int` | `TOOLBAR_ITEM2`
    `static int` | `TOOLBAR_ITEM3`
    `static int` | `TOOLBAR_ITEM5`
    `static int` | `TOOLBAR_ITEM6`
    `static int` | `TOOLBAR_ITEM7`
    `static int` | `TOOLBAR_ITEMSPERLINE`
    `static int` | `TOOLBAR_LICENSE`
    `static int` | `TOOLBAR_MARK`
    `static int` | `TOOLBAR_MODE_ADDELEMENT`
    `static int` | `TOOLBAR_MODE_ADDVERTEX`
    `static int` | `TOOLBAR_MODE_INITIALPICK`
    `static int` | `TOOLBAR_MODE_ORBIT`
    `static int` | `TOOLBAR_MODE_PICK`
    `static int` | `TOOLBAR_MODE_SCALE`
    `static int` | `TOOLBAR_MODE_SCALERECT`
    `static int` | `TOOLBAR_MODE_TRANS`
    `static int` | `TOOLBAR_MODE_TRANSZ`
    `static int` | `TOOLBAR_NEW_GEOMETRY` Unique identifier of each toolbar item.
    `static int` | `TOOLBAR_OPEN_GEOMETRY`
    `static int` | `TOOLBAR_PANEL_ANIMATION`
    `static int` | `TOOLBAR_PANEL_AXIS`
    `static int` | `TOOLBAR_PANEL_AXIS_X`
    `static int` | `TOOLBAR_PANEL_AXIS_Y`
    `static int` | `TOOLBAR_PANEL_AXIS_Z`
    `static int` | `TOOLBAR_PANEL_CAMERA`
    `static int` | `TOOLBAR_PANEL_CONFIG`
    `static int` | `TOOLBAR_PANEL_CONSOLE`
    `static int` | `TOOLBAR_PANEL_CONTROL`
    `static int` | `TOOLBAR_PANEL_DISPLAY`
    `static int` | `TOOLBAR_PANEL_HELP`
    `static int` | `TOOLBAR_PANEL_INFO`
    `static int` | `TOOLBAR_PANEL_LABEL`
    `static int` | `TOOLBAR_PANEL_LIGHT`
    `static int` | `TOOLBAR_PANEL_MATERIAL`
    `static int` | `TOOLBAR_PANEL_PROJECT`
    `static int` | `TOOLBAR_PANEL_TEXTURE`
    `static int` | `TOOLBAR_PANEL_VECTOR`
    `static int` | `TOOLBAR_PREFERENCES`
    `static int` | `TOOLBAR_PRINT`
    `static int` | `TOOLBAR_RELOAD_GEOMETRY`
    `static int` | `TOOLBAR_SAVE_SCENE`
    `static int` | `TOOLBAR_SELECT_DIRECTORY`
    `static int` | `TOOLBAR_SHOW_GRID`
    `static int` | `TOOLBAR_WARNING`

    - ### Fields inherited from class jv.object.PsPanel

      `BORDER_GROOVE, BORDER_LINE, BORDER_LINETOP, BORDER_NONE, BORDER_SUNK, BOUNDARY, BOUNDARY_EXT, CONFIG, CONFIG_EXT, INFO, INFO_EXT, LABEL, LABEL_EXT, MATERIAL, MATERIAL_EXT, ORIENT_GUIDE, ORIENT_HORIZONTAL, ORIENT_VERTICAL, TEXTURE, TEXTURE_EXT, VECTOR, VECTOR_EXT`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PsToolbar()` Create an empty toolbar.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addGuide()` Insert a line to separate blocks of items.
    `void` | `addItem(int itemId, java.awt.event.ActionListener listener)` Add one menu item after another.
    `void` | `addSeparator()` Insert a line to separate blocks of items.
    `static java.awt.Image` | `getImage(java.awt.Component comp, int imgId)` Get image of toolbar icon.
    `void` | `init()` Initialize instance and load toolbar image.
    `static boolean` | `loadDefaultImage()` Load JavaView default toolbar image from file, needs only be called once.
    `static void` | `loadImage(java.lang.String imgFile, int iconSize, int iconIncr)` Load toolbar image from file, needs only be called once.

    - ### Methods inherited from class jv.object.PsPanel

      `addLabelComponent, addLine, addLine, addSubTitle, addTextField, addTitle, drawBorder, drawBorder, drawBorder, drawBorder, drawText, getFather, getInsets, getLanguage, getPanelVersion, getPreferredSize, getTitle, getTitle, getTitle, hasTitle, instanceOf, paint, removeTitle, select, setBackColor, setBorderType, setEnabled, setImage, setInsetSize, setInsetSizeHorizontal, setInsetSizeVertical, setLabel, setLabel, setOutOfDate, setParent, setPreferredSize, setSelectedCheckbox, setState, setText, setText, setTitle, setVisible, update, update`

    - ### Methods inherited from class java.awt.Panel

      `addNotify, getAccessibleContext`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, validate`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, dispatchEvent, enable, enable, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jv.object.PsUpdateIf

      `getName`

- - ### Field Detail

    - #### TOOLBAR_ITEMSPERLINE

          public static final int TOOLBAR_ITEMSPERLINE

      See Also:
        Constant Field Values

    - #### MAX_NUM_ITEMS

          public static final int MAX_NUM_ITEMS

      See Also:
        Constant Field Values

    - #### TOOLBAR_NEW_GEOMETRY

          public static final int TOOLBAR_NEW_GEOMETRY

      Unique identifier of each toolbar item.
      See Also:
        Constant Field Values

    - #### TOOLBAR_OPEN_GEOMETRY

          public static final int TOOLBAR_OPEN_GEOMETRY

      See Also:
        Constant Field Values

    - #### TOOLBAR_SELECT_DIRECTORY

          public static final int TOOLBAR_SELECT_DIRECTORY

      See Also:
        Constant Field Values

    - #### TOOLBAR_SAVE_SCENE

          public static final int TOOLBAR_SAVE_SCENE

      See Also:
        Constant Field Values

    - #### TOOLBAR_RELOAD_GEOMETRY

          public static final int TOOLBAR_RELOAD_GEOMETRY

      See Also:
        Constant Field Values

    - #### TOOLBAR_BURN_TEXTURE

          public static final int TOOLBAR_BURN_TEXTURE

      See Also:
        Constant Field Values

    - #### TOOLBAR_PRINT

          public static final int TOOLBAR_PRINT

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_CONSOLE

          public static final int TOOLBAR_PANEL_CONSOLE

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_HELP

          public static final int TOOLBAR_PANEL_HELP

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_PROJECT

          public static final int TOOLBAR_PANEL_PROJECT

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_CONFIG

          public static final int TOOLBAR_PANEL_CONFIG

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_INFO

          public static final int TOOLBAR_PANEL_INFO

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_MATERIAL

          public static final int TOOLBAR_PANEL_MATERIAL

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_LABEL

          public static final int TOOLBAR_PANEL_LABEL

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_TEXTURE

          public static final int TOOLBAR_PANEL_TEXTURE

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_VECTOR

          public static final int TOOLBAR_PANEL_VECTOR

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_AXIS

          public static final int TOOLBAR_PANEL_AXIS

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_AXIS_X

          public static final int TOOLBAR_PANEL_AXIS_X

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_AXIS_Y

          public static final int TOOLBAR_PANEL_AXIS_Y

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_AXIS_Z

          public static final int TOOLBAR_PANEL_AXIS_Z

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_LIGHT

          public static final int TOOLBAR_PANEL_LIGHT

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_CAMERA

          public static final int TOOLBAR_PANEL_CAMERA

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_DISPLAY

          public static final int TOOLBAR_PANEL_DISPLAY

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_ORBIT

          public static final int TOOLBAR_MODE_ORBIT

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_SCALE

          public static final int TOOLBAR_MODE_SCALE

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_SCALERECT

          public static final int TOOLBAR_MODE_SCALERECT

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_TRANS

          public static final int TOOLBAR_MODE_TRANS

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_TRANSZ

          public static final int TOOLBAR_MODE_TRANSZ

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_PICK

          public static final int TOOLBAR_MODE_PICK

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_INITIALPICK

          public static final int TOOLBAR_MODE_INITIALPICK

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_ADDVERTEX

          public static final int TOOLBAR_MODE_ADDVERTEX

      See Also:
        Constant Field Values

    - #### TOOLBAR_MODE_ADDELEMENT

          public static final int TOOLBAR_MODE_ADDELEMENT

      See Also:
        Constant Field Values

    - #### TOOLBAR_SHOW_GRID

          public static final int TOOLBAR_SHOW_GRID

      See Also:
        Constant Field Values

    - #### TOOLBAR_CAMERA_DISTANCE

          public static final int TOOLBAR_CAMERA_DISTANCE

      See Also:
        Constant Field Values

    - #### TOOLBAR_CAMERA_ROLL

          public static final int TOOLBAR_CAMERA_ROLL

      See Also:
        Constant Field Values

    - #### TOOLBAR_CAMERA_PERSPECTIVE

          public static final int TOOLBAR_CAMERA_PERSPECTIVE

      See Also:
        Constant Field Values

    - #### TOOLBAR_CAMERA1

          public static final int TOOLBAR_CAMERA1

      See Also:
        Constant Field Values

    - #### TOOLBAR_CAMERA2

          public static final int TOOLBAR_CAMERA2

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_ANIMATION

          public static final int TOOLBAR_PANEL_ANIMATION

      See Also:
        Constant Field Values

    - #### TOOLBAR_DELETE

          public static final int TOOLBAR_DELETE

      See Also:
        Constant Field Values

    - #### TOOLBAR_DUPLICATE

          public static final int TOOLBAR_DUPLICATE

      See Also:
        Constant Field Values

    - #### TOOLBAR_EXTRACT

          public static final int TOOLBAR_EXTRACT

      See Also:
        Constant Field Values

    - #### TOOLBAR_MARK

          public static final int TOOLBAR_MARK

      See Also:
        Constant Field Values

    - #### TOOLBAR_CONFIGURE

          public static final int TOOLBAR_CONFIGURE

      See Also:
        Constant Field Values

    - #### TOOLBAR_PREFERENCES

          public static final int TOOLBAR_PREFERENCES

      See Also:
        Constant Field Values

    - #### TOOLBAR_HELP

          public static final int TOOLBAR_HELP

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM1

          public static final int TOOLBAR_ITEM1

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM2

          public static final int TOOLBAR_ITEM2

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM3

          public static final int TOOLBAR_ITEM3

      See Also:
        Constant Field Values

    - #### TOOLBAR_LICENSE

          public static final int TOOLBAR_LICENSE

      See Also:
        Constant Field Values

    - #### TOOLBAR_WARNING

          public static final int TOOLBAR_WARNING

      See Also:
        Constant Field Values

    - #### TOOLBAR_ERROR

          public static final int TOOLBAR_ERROR

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_START

          public static final int TOOLBAR_ANIM_START

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_PREVKEY

          public static final int TOOLBAR_ANIM_PREVKEY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_FASTREWIND

          public static final int TOOLBAR_ANIM_FASTREWIND

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_REWIND

          public static final int TOOLBAR_ANIM_REWIND

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_STOP

          public static final int TOOLBAR_ANIM_STOP

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_PLAY

          public static final int TOOLBAR_ANIM_PLAY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_FASTPLAY

          public static final int TOOLBAR_ANIM_FASTPLAY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_NEXTKEY

          public static final int TOOLBAR_ANIM_NEXTKEY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_END

          public static final int TOOLBAR_ANIM_END

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_ADDKEY

          public static final int TOOLBAR_ANIM_ADDKEY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ANIM_REMOVEKEY

          public static final int TOOLBAR_ANIM_REMOVEKEY

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM5

          public static final int TOOLBAR_ITEM5

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM6

          public static final int TOOLBAR_ITEM6

      See Also:
        Constant Field Values

    - #### TOOLBAR_ITEM7

          public static final int TOOLBAR_ITEM7

      See Also:
        Constant Field Values

    - #### TOOLBAR_PANEL_CONTROL

          public static final int TOOLBAR_PANEL_CONTROL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PsToolbar

          public PsToolbar()

      Create an empty toolbar.

  - ### Method Detail

    - #### init

          public void init()

      Initialize instance and load toolbar image.
      Overrides:
        `init` in class `PsPanel`

    - #### addItem

          public void addItem(int itemId,
                              java.awt.event.ActionListener listener)

      Add one menu item after another.

    - #### addGuide

          public void addGuide()

      Insert a line to separate blocks of items.

    - #### addSeparator

          public void addSeparator()

      Insert a line to separate blocks of items.

    - #### loadDefaultImage

          public static boolean loadDefaultImage()

      Load JavaView default toolbar image from file, needs only be called once.

    - #### loadImage

          public static void loadImage(java.lang.String imgFile,
                                       int iconSize,
                                       int iconIncr)

      Load toolbar image from file, needs only be called once. Method is automatically invoked during first call of getImage().

    - #### getImage

          public static java.awt.Image getImage(java.awt.Component comp,
                                                int imgId)

      Get image of toolbar icon. Method automatically tries to load toolbar image if not available yet.

"

The software JavaView? is copyright protected. All Rights Reserved.
"